package ovh.herisson.Clyde.Services;

import org.springframework.stereotype.Service;
import ovh.herisson.Clyde.Repositories.CourseRepository;
import ovh.herisson.Clyde.Repositories.CurriculumRepository;
import ovh.herisson.Clyde.Tables.Curriculum;

@Service
public class CurriculumService {

    private final CurriculumRepository curriculumRepo;

    private final CourseRepository courseRepo;

    public CurriculumService(CurriculumRepository curriculumRepo, CourseRepository courseRepo){
        this.curriculumRepo = curriculumRepo;
        this.courseRepo = courseRepo;
    }


    public void save(Curriculum curriculum){
        curriculumRepo.save(curriculum);
    }

    public Curriculum findById(long id){
        return curriculumRepo.findById(id);
    }

    public Iterable<Curriculum> findAll(){
        return curriculumRepo.findAll();
    }
}
